## med-doc 0.5.3

=== Makefile ===
#!/usr/bin/make -f
# Makefile for formating the Debian-Med FAQ

### HELP: I used a really dirty trick to get a real '&' into an url.
###       See below for the line
###             sed "s/\(?keywords=med-\)&amp;\(subword=1\)/\1\&\2/"
###       Anybody knows how to do this right in SGML??

faq=debian-med-faq

all: html

html: $(faq).sgml
	linuxdoc --backend=html $(faq).sgml
#	ln -s $(faq).html index.html
	## I like output with the same timestamp as the source
	for html in `ls d*.html` ; do \
	   tmp=$${html}.$$ ; \
	   mv $${html} $${tmp} ; \
	   cat $${tmp} | \
	      sed "s?<TITLE>.*</TITLE>?&<link rel=\"stylesheet\" type=\"text/css\" href=\"med-doc.css\">?" | \
	      sed "s/\(?keywords=med-\)&amp;\(subword=1\)/\1\&\2/" | \
	   cat > $${html} ; \
	   rm -f $${tmp} ; \
	   touch -r $(faq).sgml $${html} ; \
	done

clean:
	rm -f $(faq)*.html

## med-doc 0.1-2

=== debian/changelog ===
med-doc (0.1-2) unstable; urgency=low

  * Do not include Medicine-HOWTO which will not be packaged separately
    Just add a depencency from doc-linux-html which contains Medicine-Howto
    closes: #132666
  * Section moved to doc instead of misc.
  * Added dependency from resmed-doc.

 -- Andreas Tille <tille@debian.org>  Wed, 27 Feb 2002 08:49:28 +0100

med-doc (0.1-1) unstable; urgency=low

  * Initial release
    closes: #132670

 -- Andreas Tille <tille@debian.org>  Wed,  6 Feb 2002 20:56:59 +0100

=== debian/control ===
Source: med-doc
Section: doc
Priority: optional
Maintainer: Andreas Tille <tille@debian.org>
Build-Depends-Indep: debhelper, linuxdoc-tools
Standards-Version: 3.5.6

Package: med-doc
Architecture: all
Suggests: linuxdoc-tools
Depends: doc-linux-html, resmed-doc
Description: Debian Med documentation packages
 This meta package will install Debian packages with documentation
 according to free software which might be relevant for medical care.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for med-bio
# This file is public domain software
# Andreas Tille <tille@debian.org>
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#
# This is the debhelper compatibility version to use.
export DH_COMPAT=3

pkg=med-doc
faq=debian-med-faq

build: build-stamp
build-stamp:
	dh_testdir

	linuxdoc --backend=html $(faq).sgml
#	ln -s $(faq).html index.html
	## I like output with the same timestamp as the source
	for html in `ls d*.html` ; do \
	   touch -r $(faq).sgml $${html} ; \
	done

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	dh_clean d*.html

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	cp -a *.html `pwd`/debian/$(pkg)/usr/share/doc/$(pkg)/html

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## med-doc 0.5-2

=== debian/changelog ===
med-doc (0.5-2) unstable; urgency=low


  * The "I'm against war" release
    Mankind must put an end to war before war puts an end to mankind.
        -- John F. Kennedy
  * Depends: med-common
    closes: #189796
  * Standards-Version: 3.5.9
  * debian/compat now stores debhelper compatibility version

 -- Andreas Tille <tille@debian.org>  Mon, 21 Apr 2003 19:57:37 +0200

med-doc (0.5-1) unstable; urgency=low

  * Added two talks from LinuxDays Luxembourg in English and German
  * Added missing med-common-dev to Build-Depends-Indep
    closes: #165175

 -- Andreas Tille <tille@debian.org>  Fri, 18 Oct 2002 08:04:25 +0200

med-doc (0.4-1) unstable; urgency=low

  * Added further talk in German.
  * Added document about Open-Source Medical Information Management
  * Fixed some links.

 -- Andreas Tille <tille@debian.org>  Thu, 12 Sep 2002 18:12:05 +0200

med-doc (0.3-1) unstable; urgency=low

  * First attempt to use user menus unsing med-common package.
  * Build-Depends-Indep med-common-dev to make building stuff more general
  * Some additions to the FAQ
  * Added talk about Debian Internal Projects at LinuxTag Karlsruhe
  * Do not ship dvi for the talks.  Include a script to build DVI and PDF
    format instead.

 -- Andreas Tille <tille@debian.org>  Tue, 25 Jun 2002 19:36:24 +0200

med-doc (0.2-1) unstable; urgency=low

  * Introduced Med/Doc menu
    In the current form it forces a lintian error because it introduces
    a new root menu section.  I just want to show this as a suggestion in
    some talks and afterwards will follow the consensus which might be
    result in a policy change.
  * Depends www-browser
  * Added doc-linux-text as alternative dependency
  * Added failure.htm document.
  * Included talk about Debian-Med at LinuxTag Magdeburg

 -- Andreas Tille <tille@debian.org>  Sat, 18 May 2002 21:35:30 +0200

=== debian/control ===
Source: med-doc
Section: doc
Priority: optional
Maintainer: Andreas Tille <tille@debian.org>
Build-Depends-Indep: debhelper, linuxdoc-tools, tetex-bin, med-common-dev
Standards-Version: 3.5.9

Package: med-doc
Architecture: all
Suggests: linuxdoc-tools, mgp, tetex-bin
Depends: doc-linux-html | doc-linux-text, resmed-doc, med-common, galeon | www-browser
Description: Debian Med documentation packages
 This meta package will install Debian packages with documentation
 according to free software which might be relevant for medical care.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for med-bio
# This file is public domain software
# Andreas Tille <tille@debian.org>
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

pkg=med-doc
faq=debian-med-faq

build: build-stamp
build-stamp:
	dh_testdir

	make
# Do not build DVI for the binary package
# Use manually formated HTML because the mgp2html output is ugly
#	cd talks ; \
#	for ltdir in `find . -type d` ; do \
#	   if [ "$${ltdir}" != "." ] ; then \
#	      cd $${ltdir} ; \
#	      latex *.tex ; \
#	      rm *.log *.aux ; \
#	      for mgp in `ls *.mgp` ; do \
#	         NAME=`basename $${mgp} .mgp` ; \
#		 if [ $${NAME} != style ] ; then \
#		    mgp2html.pl $${mgp} > $${NAME}.html ; \
#		 fi ; \
#	      done ; \
#	   fi ; \
#	done

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	make clean
	dh_clean
# There should not be any DVI and please do not remove the manually formated HTML
#	cd talks; \
#	   rm -f `find . -name "*.dvi"` ; \
#	   for ltdir in `find . -type d` ; do \
#	      if [ "$${ltdir}" != "." ] ; then \
#	         rm -f $${ltdir}/*.html ; \
#	      fi ; \
#	   done

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	cp -a *.html f*.htm *.css `pwd`/debian/$(pkg)/usr/share/doc/$(pkg)/html
	cp -a talks `pwd`/debian/$(pkg)/usr/share/doc/$(pkg)

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
#	dh_installmenu
	med_install_helper
	dh_installchangelogs
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## med-doc 0.5.3

=== debian/changelog ===
med-doc (0.5.3) unstable; urgency=low

  * Standards-Version: 3.6.1.1
  * Versioned build-depends on debhelper
  * Removed dependency from med-common again
    closes: #278956
  * Use sensible-browser in menu and make package depend from debianutils

 -- Andreas Tille <tille@debian.org>  Sat, 30 Oct 2004 21:55:44 +0200

=== debian/control ===
Source: med-doc
Section: doc
Priority: optional
Maintainer: Andreas Tille <tille@debian.org>
Build-Depends-Indep: debhelper (>= 4.0), linuxdoc-tools, tetex-bin
Standards-Version: 3.6.1.1

Package: med-doc
Architecture: all
Suggests: linuxdoc-tools, mgp, tetex-bin
Depends: doc-linux-html | doc-linux-text, resmed-doc, debianutils (>=  2.8.4)
Description: Debian Med documentation packages
 This meta package will install Debian packages with documentation
 according to free software which might be relevant for medical care.

=== debian/rules ===
--- 
+++ 
@@ -63,9 +63,10 @@
 	dh_testdir
 	dh_testroot
 	dh_installdocs
-#	dh_installmenu
-	med_install_helper
+	dh_installmenu
+#	med_install_helper
 	dh_installchangelogs
+	cp -a debian/lintian.overrides debian/$(pkg)/usr/share/lintian/overrides/$(pkg)
 	dh_link
 	dh_compress
 	dh_fixperms

## med-doc 0.6

=== debian/changelog ===
med-doc (0.6) unstable; urgency=low

  [ Andreas Tille ]
  * debian/control:
    - Standards-Version: 3.8.0
    - Suggests cdd-doc, don't suggest mgp any more
    - Build-Depends / Suggests: texlive-latex-recommended instead of texlive-bin
    - Depends -> Recommends
    - Vcs fields
    - Group maintenance by Debian packaging team
    - DM-Upload-Allowed: yes
    - Added myself as Uploaders
    - Rewritten long description
  * debian/compat: 4 -> 5
  * Rewritten README.Debian

  [ Charles Plessy ]
  * Added myself to the Uploaders.
  * debian/med-doc.doc-base:
    - corrected the section of the doc-base entry (Misc to Help/FAQ).
    - removed the unsupported linuxdoc-sgml format entry.
  * debian/menu:
    - made compliant to the Policy by switching Help/Med to Help.
    - Titles made more explicit.
    - Refreshed /debian/lintian.overrides.
    - Transition from /usr/lib/menu to /usr/share/menu (no changes needed).

 -- Charles Plessy <plessy@debian.org>  Sat, 25 Oct 2008 11:58:54 +0900

=== debian/control ===
Source: med-doc
Section: doc
Priority: optional
Maintainer: Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Andreas Tille <tille@debian.org>, Charles Plessy <plessy@debian.org>
Build-Depends:  debhelper (>= 5)
Build-Depends-Indep: linuxdoc-tools, texlive-latex-recommended
Standards-Version: 3.8.0
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/med-doc/trunk/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/med-doc/trunk/

Package: med-doc
Architecture: all
Suggests: cdd-doc, linuxdoc-tools, texlive-latex-recommended
Recommends: doc-linux-html | doc-linux-text, resmed-doc, debianutils (>=  2.8.4)
Description: Debian Med documentation packages
 This package will install papers written about and talks hold about
 the Debian Med project as well as Debian packages with documentation
 according to free software which might be relevant for medical care.

## med-doc 0.7

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 faq=debian-med-faq
 
-all: html
+all: html 05_biomed_bio
 
 html: $(faq).sgml
 	linuxdoc --backend=html $(faq).sgml
@@ -25,5 +25,12 @@
 	   touch -r $(faq).sgml $${html} ; \
 	done
 
+05_biomed_bio: 05_biomed_bio.stamp
+05_biomed_bio.stamp:
+	cd 05_biomed_bio; make pdf; make html; cd ..
+	touch 05_biomed_bio.stamp
+
 clean:
 	rm -f $(faq)*.html
+	cd 05_biomed_bio; make distclean; cd ..
+	rm -f 05_biomed_bio.stamp

=== 09_osehc_porto/Makefile ===
#!/usr/bin/make -f

text=debian-med-bio

DISTDIR=debian-bio-0.2

%.html: %.tex
	echo "Unfortunately there is no latex 2 html solution for the moment."

all: pdf
# html dvi

html: $(text).html
$(text).html: $(text).tex
	make clean
	make bbl
	cp -a $(text).tex $(text).tex.save
	sed -i \
	    -e "s/\(\\documentclass{\)acm_proc_article-sp/\1article/" \
	    -e "s/\(\\\\titlenote{.*\)\\\\printurl{[^}]*}{[^}]*}/\1/" \
	    -e "/\\\\titlenote{/{;N;N;s/\\\\titlenote{[^}]*}//;}" \
	    -e "/\\\\affaddr{.*}/d" \
	    -e "/\\\\email{.*}/d" \
	    -e "/\\\\alignauthor/d" \
	    -e "/\\\\numberofauthors/d" \
	    $(text).tex
	sed -i \
	    -e "/\\\\author{/{;N;N;N;N;N;N;N;N;s/\\\\author{[^}]*}//;}" \
	    -e "s/\\\\halfsloppy//" \
	    -e "/\\\\printurl/{;N;N;s?\\\\printurl{\([^}]*\)}\({[^}]*}\)?\\\\htmladdnormallink\2{http://\1}?g;}" \
	    -e "s/\(\\\\begin{tabular}{.*\)p{[^}]*}\(.*\)/\1l\2/" \
	    -e "/\\\\conferenceinfo/{;N;N;s/\\\\conferenceinfo{[^}]*}{[^}]*}/\\\\htmladdnormallink{Find the paper in PDF and more information about the conference here}{..}/;}" \
	    -e "s/\\\\CopyrightYear{[^}]*}//" \
	    $(text).tex
	sed -i \
	    -e "/\\\\ifshowURL/{;N;N;N;s?\\\\ifshowURL.*|\(http://[^,]*\)[[:space:],]*\(http://[^|]*\)|}\\\\fi?\\\\htmladdnormallink{\1}{\1}, \\\\htmladdnormallink{\2}{\2}?g;}" \
	    $(text).bbl
	sed -i \
	    -e "/\\\\ifshowURL/{;N;N;N;s?\\\\ifshowURL.*|\(http://[^|]*\)|}%*[[:space:]]*\\\\fi?\\\\htmladdnormallink{\1}{\1}?g;}" \
	    $(text).bbl
	sed -i \
	    -e "/\\\\ifshowURL/{;N;N;s?\\\\ifshowURL.*|\(http://[^|]*\)|}%*[[:space:]]*\\\\fi?\\\\htmladdnormallink{\1}{\1}?g;}" \
	    -e "/\\\\htmladdnormallink/s/%/\\\\%/g" \
	    $(text).bbl
	sed -i \
	    -e "/\\\\ifx[[:space:]]\\\\.*[[:space:]]\\\\fi/d" \
	    $(text).bbl
	latex2html -local_icons $(text).tex
	touch $(text).html
	##mv $(text).tex $(text).tex_used4html
	mv $(text).tex.save $(text).tex

bbl: $(text).bib
	pdflatex $(text).tex
	bibtex debian-med-bio

dvi: $(text).dvi
$(text).dvi: $(text).tex
	make clean
	convert earthkeyring.png earthkeyring.eps
	latex $(text).tex
	bibtex $(text)
	latex $(text).tex
	latex $(text).tex

pdf: $(text).pdf
$(text).pdf: $(text).tex paper-text.tex $(text).bib
	make clean
	pdflatex $(text).tex
	bibtex $(text)
	pdflatex $(text).tex
	pdflatex $(text).tex

pdfllncs: $(text)-llncs.pdf
$(text)-llncs.pdf: $(text)-llncs.tex paper-text.tex
	make clean
	pdflatex $(text)-llncs.tex
	bibtex $(text)-llncs
	pdflatex $(text)-llncs.tex
	pdflatex $(text)-llncs.tex

dvips: $(text)-dvips.pdf
$(text)-dvips.pdf: $(text).dvi
	dvips -o $(text)-dvips.ps $(text).dvi
	ps2pdf $(text)-dvips.ps
	rm $(text)-dvips.ps

distclean: clean
	rm -f $(text)*.html $(text).pdf $(text)-dvips.pdf $(text)-llncs.pdf
	rm -rf $(DISTDIR) debian-med-bio

clean:
	rm -f $(text)*.log $(text)*.aux $(text)*.dvi $(text)*.toc $(text)*.out $(text)*.bbl $(text)*.blg
	rm -f *.log
	rm -f earthkeyring.eps

dist:
	mkdir -p $(DISTDIR)/paper
	cp -a *.tex *.css Makefile $(DISTDIR)/paper
	tar -czf $(DISTDIR).tgz $(DISTDIR)
	rm -rf $(DISTDIR)

=== debian/changelog ===
med-doc (0.7) unstable; urgency=low

  [ Andreas Tille ]
  * debian/control
     - Debhelper >= 7
     - Recommends blends-doc instead of cdd-doc
     - Depends added: wise-doc, libnifti-doc
     - Standards-Version: 3.8.4 (no changes needed)
  * debian/compat: 5 -> 7
  * debian/rules
    - Removed outdated talks
  * Removed debian/menu because the sense of creating menu entries
    which fire up sensible-browser to show docs of recommended
    packages is questionable
  * removing all talks because they are a moving target compared
    to the included papers
    Closes: #530138

 -- Andreas Tille <tille@debian.org>  Fri, 19 Feb 2010 17:14:53 +0100

=== debian/control ===
Source: med-doc
Section: doc
Priority: optional
Maintainer: Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Andreas Tille <tille@debian.org>, Charles Plessy <plessy@debian.org>
Build-Depends:  debhelper (>= 7)
Build-Depends-Indep: linuxdoc-tools, texlive-latex-recommended, latex2html
Standards-Version: 3.8.4
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/med-doc/trunk/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/med-doc/trunk/

Package: med-doc
Architecture: all
Suggests: blends-doc, linuxdoc-tools, texlive-latex-recommended
Recommends: doc-linux-html | doc-linux-text, resmed-doc, debianutils (>=  2.8.4),
 wise-doc, libnifti-doc
Depends: ${misc:Depends}
Description: Debian Med documentation packages
 This package will install papers written about and talks hold about
 the Debian Med project as well as Debian packages with documentation
 according to free software which might be relevant for medical care.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for med-doc
# Andreas Tille <tille@debian.org>
# License: GPL

pkg=med-doc
faq=debian-med-faq

build: build-stamp
build-stamp:
	dh_testdir

	make
# Do not build DVI for the binary package
# Use manually formated HTML because the mgp2html output is ugly

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	make clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	cp -a *.html f*.htm *.css `pwd`/debian/$(pkg)/usr/share/doc/$(pkg)/html
	cp -a 05_biomed_bio/debian-med-bio.pdf `pwd`/debian/$(pkg)/usr/share/doc/$(pkg)/05_biomed.pdf
	cp -a 09_osehc_porto/debian-med-bio.pdf `pwd`/debian/$(pkg)/usr/share/doc/$(pkg)/09_osehc.pdf

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installmenu
#	med_install_helper
	dh_installchangelogs
	dh_lintian
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
